/*
* This CSS aims to describe general rules for the application
*/

/**
* Class to hide element
*/
.hidden {
    display:none;
}

.vhidden {
    visibility: hidden;
}

.step_header {
    margin : 0;
    padding:0 0 0.7rem 0;
    /*background : #c3d0e7;*/
    text-align: left;
    width : 100%;
}

.step_header h4, .step_header h3{
    font-style: italic;
    /*color: #5F7BBF;  Light blue*/
    /*color: #6d7ab6;  darker blue*/
    color:#273547; /* darker blue */
    margin: 0;
}

[data-timestamp] {
    visibility: hidden;
}

/*body {*/
    /*background-image: url('../../images/background-small.jpeg');*/
    /*background-repeat: no-repeat;*/
    /*background-attachment: fixed;*/
    /*background-size: cover;*/
/*}*/

[data-action].fa,
[data-action] > .fa {
    color:#64489e;
    transition: all 0.25s ease-in;
}
[data-action].fa:hover,
[data-action] > .fa:hover {
    transform: scale(1.2);
}

.survey_button.button {
    padding: 0.5em;
    /*background-color: #304d6e;*/
    /*font-style: italic;*/
}

.survey_button.highlight {
    background-color: #64489e;
}

/*.survey_button.button:hover {*/
    /*background-color:#6b79b8;*/
    /*opacity: 0.8;*/
/*}*/

label span.switch.tinier.disabled + span.switch-label{
    color:#6b79b8;
}
label span.switch.tinier + span.switch-label{
    color:#304d6e;
}
label span.switch.tinier.disabled + span.switch-label ~ i{
    color:#6b79b8;
}
label span.switch.tinier + span.switch-label ~ i{
    color:#304d6e;
}

section.advanced-options section label {
    display:inline-block;
}

/* max-width 640px */
@media only screen and (max-width: 40em) {
    .step_header {
        padding:0.5rem!important;
    }
}